ISSPACE(3)

NAME
isspace - white-space character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isspace(int c);

DESCRIPTION
The isspace() function tests for the standard white-space characters. For single C chars locales (see multibyte(3)) the value of the argument is representable as an unsigned char or the value of EOF. In the ASCII character set, this includes the following characters (with their numeric values shown in octal):

011 ht | 012 nl | 013 vt | 014 np | 015 cr
040 sp

RETURN VALUES
The isspace() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), multibyte(3), ascii(7)

STANDARDS
The isspace() function conforms to ansiC.